
#include "csl_opt.h"

#ifndef C0000012E
#define C0000012E


typedef unsigned char C000000E2;
typedef unsigned long C0000012F;
typedef unsigned short C00000130;
typedef  const  C000000E2 * const C000000E0;
typedef C000000E0 * const *const CSLscript_t;


extern short C00000131(CSLscript_t);
extern int C00000132(CSLscript_t, void (*)(int, void *), void *);


typedef struct CtlStack_t{
	C000000E2 const *C00000133;
	C000000E2	C00000134;
	
    C000000E2 C00000135;
	unsigned short C00000136;
} CtlStack_t;


typedef struct SVIRM_t SVIRM_t;
typedef struct CSLbp_t CSLbp_t;
typedef struct CSLangRun_t {
	const void * script; 
	CtlStack_t *C00000137; 
	C00000130 C00000138;
	C000000E2 const * C00000139; 
	SVIRM_t *svirm;  
	reg_t Accumulator, IndexRegister; 
	unsigned short CallDepth; 
	short C0000013A;            
	
    C000000E2 C0000013B;
	C00000130 C0000013C;
	C000000E2 C0000013D;
	C000000E2 C0000013E;
    
	const CSLbp_t *C0000013F; 
	unsigned char single_step; 
	unsigned char func_id;     
	unsigned short num_instr; 
} CSLangRun_t;



#define C00000140(C000000D6) 0
#define C00000141(C000000D6) 0


#define C00000142 0x80
#define C00000143 0x00


#endif 
