/* C-SLang 2.0. sample.h
    Helper header for self-test configuration.
    
   (C) 2003 MacroExpressions.com 

   Version control:
	$Date: 2003/12/20 $
	$Change: 30 $
	$Revision: #3 $
*/

#define named_item(x) &x, #x
#define nelem(array) (sizeof(array)/sizeof(array[0]))

/* Struct for sample scripts to configure svirms */
typedef struct sample_t {
    CSLscript_t *script;
    char *name;
    inpbuf_t inputs;
    unsigned char num_temps, num_outps;
    InpFunc_t *infunc;
	OutpFunc_t *outfunc;
} sample_t;

/* Sample scripts' requirements to their svirms */
extern const sample_t arithm_svirmdata;
extern const sample_t Charcount_svirmdata;
extern const sample_t SAE_example_svirmdata;


